{% extends 'dashboard/base.html' %}

{% block scripts %}
  {{super()}}
  <script src="{{ url_for('static', filename='js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/datatables.js') }}"></script>
  <script>
    var mentors = JSON.parse('{{mentors|tojson}}')
    var mentor = Object()
    function sendMentorToDialog(mentorcid){
      let modal = $("#deleteMentorModal")
      mentor = mentors.find(function(mentor){
        return mentor.cid == mentorcid
      })

      document.getElementById("deleteMentorModalLabel").innerHTML = 'Do you want delete '+ mentor.name +' from mentors?';
      modal.modal()
    }

    $('#deleteForm').submit(function(eventObj) {
      $(this).append('<input type="hidden" name="mentorid" value="'+mentor.cid+'">')
    })

  </script>
{% endblock %}

{% block page_content %}
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Manage Mentors</h1>
  </div>
  <div class="row">
    <!-- Area Chart -->
    <div class="col-xl-12 col-lg-12">
      <div class="card shadow mb-11">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Mentors</h6>
            <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Actions</div>
                <a class="dropdown-item" href="{{ url_for('atcmentoring.newmentor') }}">New</a>
            </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                <tr>
                    <th>CID</th>
                    <th>Name</th>
                    <th>Limit</th>
                    <th># Trainees</th>
                    <th></th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <th>CID</th>
                    <th>Name</th>
                    <th>Limit</th>
                    <th># Trainees</th>
                    <th></th>
                </tr>
                </tfoot>
                <tbody>
                  {% for mentor in mentors %}
                    <tr>
                      <td>{{ mentor.cid }}</td>
                      <td>{{ mentor.name }}</td>
                      <td>{{ mentor.limit }}</td>
                      <td>{{ mentor.trainees | length }}</td>
                      <td>
                        <button
                          title="Trainees"
                          style="background-color: transparent; border: none;"
                          onclick="window.location.href='mentors/{{ mentor.cid }}/trainees'">
                          <img width="24px" src="{{ url_for('static', filename='img/trainees.png') }}">
                        </button>
                        <button
                          title="Edit Mentor"
                          style="background-color: transparent; border: none;"
                          onclick="window.location.href='mentors/{{ mentor.cid }}/edit'">
                          <img width="24px" src="{{ url_for('static', filename='img/edit.png') }}">
                        </button>
                        <button
                          title="Delete Mentor"
                          class="open-deleteMentorModal"
                          style="background-color: transparent; border: none;"
                          onclick="sendMentorToDialog('{{mentor.cid}}')">
                          <img width="24px" src="{{ url_for('static', filename='img/delete.png') }}">
                        </button>
                      </td>
                    </tr>
                  {% endfor %}
                </tbody>
            </table>
            </div>
        </div>
      </div>
    </div>
  </div>
  <form id="deleteForm" action="./mentors/delete" method="POST">
    <div class="modal fade" id="deleteMentorModal" tabindex="-1" role="dialog" aria-labelledby="deleteMentorModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="deleteMentorModalLabel">Do you want delete ' + mentor.name + ' from mentors?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <input  class="btn btn-primary" style="color: #f8f9fc;" type="submit" value="Delete"></input>
          </div>
        </div>
      </div>
    </div>
  </form>
{% endblock %}
